Bug 484930 - Switching Bluetooth off, pops up brightness
Switching Bluetooth off, pops up brightness
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 13:47 EST by Michel Duquaine
Modified: 2010-06-28 07:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:15:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
capture of the bluetooth preferences panel (30.45 KB, image/png)
2009-02-10 13:48 EST, Michel Duquaine
no flags Details
bluetooth manager icon (36.32 KB, image/png)
2009-04-26 08:28 EDT, Michel Duquaine
no flags Details
lshal (153.95 KB, text/plain)
2009-04-27 13:11 EDT, Michel Duquaine
no flags Details

  None (edit)
Description Michel Duquaine 2009-02-10 13:47:35 EST
Description of problem:
Bluetooth - wrong "icon" when switch off the acer-bluetooth switch

Version-Release number of selected component (if applicable):
[liveuser@localhost ~]$ uname -a
Linux localhost.localdomain 2.6.29-0.66.rc3.fc11.i686 #1 SMP Thu Jan 29 14:58:12 EST 2009 i686 i686 i386 GNU/Linux

[liveuser@localhost ~]$ yum list installed | grep bluez
bluez.i386                              4.29-1.fc11                    installed
bluez-cups.i386                         4.29-1.fc11                    installed
bluez-gnome.i386                        1.8-12.fc11                    installed
bluez-libs.i386                         4.29-1.fc11                    installed


How reproducible:


Steps to Reproduce:
1. switching off the acer-bluetooth switch on KEYBOARD

  
Actual results:
the "icon" for screen brightness is showned (like when you press on Fn + more/less bright)

Expected results:
no "icon" or a correct one

Additional info:
When I use the bluetooth preferences panel (see picture in attachment) and unmark the acer-bluetooth switch: the result is ok (=> no "icon" showed)
Comment 1 Michel Duquaine 2009-02-10 13:48:43 EST
Created attachment 331449 [details]
capture of the bluetooth preferences panel
Comment 2 Bastien Nocera 2009-02-10 15:54:56 EST
Most likely a side-effect of turning the Bluetooth adapter off. Reassigning to hal where the code actually lives.
Comment 3 Scott Glaser 2009-04-23 14:51:03 EDT
Michel
Have you recently updated your your Rawhide installation? Can you please let us know whether the issue is still happening, and give the current version of the HAL packages you're using? You can obtain that information by performing: rpm -qa hal\*


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Bastien Nocera 2009-04-23 15:43:09 EDT
Actually. Does the key to switch off the Bluetooth adapter on the keyboard do something?
Comment 5 Michel Duquaine 2009-04-26 08:26:59 EDT
Scott, Bastien,

I used Fedora 11 Snap1 i686 Live and 

[root@localhost ~]# rpm -qa hal\*
hal-0.5.12-26.20090226git.fc11.i586
hal-cups-utils-0.6.19-2.fc11.i586
hal-info-20090330-1.fc11.noarch
hal-libs-0.5.12-26.20090226git.fc11.i586

When I press the Bluetooth button on my keyboard:
- "icon" for screen brightness appears
- the bluetooth button light on my keyboard turns off
- the bluetooth manager icon on the top panel shows that the bluetooth manager is off BUT
- if I right-click on the bluetooth manager icon the menu proposes me the item "turn off bluetooth"
See screenshot [20090426.png] in attachment.

If I only use the right-click menu of the bluetooth manager on the top panel: turn off/on works fine.

If the bluetooth manager icon is off and if I press the bluetooth button on my keyboard:
- the bluetooth button light on my keyboard turns on
- the bluetooth manager icon on the top panel is on BUT
- the right-click menu on the bluetooth manager icon proposes me "turn on bluetooth".
Comment 6 Michel Duquaine 2009-04-26 08:28:13 EDT
Created attachment 341349 [details]
bluetooth manager icon
Comment 7 Bastien Nocera 2009-04-26 09:28:41 EDT
The wrong state of the menu item is a known problem with the HAL/kernel interface. See http://bugzilla.gnome.org/show_bug.cgi?id=578957

As for the screen brightness pop up showing up, I guess it's either a HAL or kernel problem.

What hardware do you have? Could you please attach the output of lshal to this bug?
Comment 8 Michel Duquaine 2009-04-27 13:11:19 EDT
Created attachment 341462 [details]
lshal
Comment 9 Bastien Nocera 2009-04-27 13:46:18 EDT
Likely a problem with the acer-wmi module then.
Comment 10 Bug Zapper 2009-06-09 07:14:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-04-27 08:55:33 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 07:15:00 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.